#!/usr/bin/env bash

usage() {
    cat << EOF
hdmi-dimmer.sh: dims an HDMI screen using xrandr.

usage: hdmi-dimmer.sh [brightness]
    where brightness is a float from 0.0 to 1.0

example: hdmi-dimmer.sh 0.5
EOF
    exit 0
}

[ $# -lt 1 ] && usage
BRIGHTNESS="${1}"
[ "x$BRIGHTNESS" == "x-h" ] && usage
[ "x$BRIGHTNESS" == "x--help" ] && usage

set -x
set -e
xrandr --output HDMI1 --brightness "${BRIGHTNESS}"
